Bug 542657 - emacs does not display indic text
Summary: emacs does not display indic text
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: emacs
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Daniel Novotny
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-11-30 13:27 UTC by Praveen Arimbrathodiyil
Modified: 2013-06-17 04:07 UTC (History)
8 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2009-12-05 00:03:15 UTC


Attachments (Terms of Use)
indic text displayed in debian's version of emacs (59 bytes, text/plain)
2009-11-30 13:27 UTC, Praveen Arimbrathodiyil
no flags Details
the change backported: this is the patch (1.07 KB, patch)
2009-12-03 12:11 UTC, Daniel Novotny
no flags Details | Diff

Description Praveen Arimbrathodiyil 2009-11-30 13:27:47 UTC
Created attachment 374749 [details]
indic text displayed in debian's version of emacs

Description of problem:
Indic text is not displayed correctly in fedora shipped emacs. Indic text is displayed correctly in emacs shiiped with debian.

Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. open emacs
2. type indic text (copy + paste സ്വാതന്ത്ര്യം) 
3. compare with display in debian version (see attachment)
  
Actual results:

Indic text is not displayed correctly

Expected results:

display indic text by default

Additional info:

a recompile with addition --with-libotf --with-m17n-flt did not make any difference.

Comment 2 Praveen Arimbrathodiyil 2009-12-01 10:53:31 UTC
Additional info:

[pravi@savannah debian]$ pkg-config --modversion libotf
0.9.9
[pravi@savannah debian]$ pkg-config --modversion m17n-flt
1.5.5
[pravi@savannah debian]$

Comment 3 Parag Nemade 2009-12-03 07:30:37 UTC
Thanks upstream (Kenichi Handa). The fix I got to have correct Indic rendering is to have m17n-db-datafiles installed on system.

I request following line to be added to emacs.spec
Requires: m17n-db-datafiles

Can we have this fix for F-12 and F-11 also if possible?

Comment 4 Praveen Arimbrathodiyil 2009-12-03 09:37:16 UTC
Also please backport changes in lisp/language/indian.el to display ZWJ
Ref http://emacsbugs.donarmstrong.com/cgi-bin/bugreport.cgi?bug=5080#80

Comment 5 Parag Nemade 2009-12-03 09:52:09 UTC
changes to lisp/language/indian.el can be seen at http://cvs.savannah.gnu.org/viewvc/emacs/lisp/language/indian.el?root=emacs&r1=1.38&r2=1.39

Comment 6 Daniel Novotny 2009-12-03 12:11:52 UTC
Created attachment 375748 [details]
the change backported: this is the patch

will fix on all affected branches, adding the "Requires:" too

Comment 7 Daniel Novotny 2009-12-03 12:40:57 UTC
Rawhide package built: emacs-23.1-16.fc13, updates to other releases will follow

Comment 8 Fedora Update System 2009-12-03 13:05:56 UTC
emacs-23.1-14.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/emacs-23.1-14.fc12

Comment 9 Fedora Update System 2009-12-03 14:07:30 UTC
emacs-23.1-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/emacs-23.1-7.fc11

Comment 10 Fedora Update System 2009-12-04 23:37:27 UTC
emacs-23.1-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2009-12-05 00:03:05 UTC
emacs-23.1-14.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 12 Jens Petersen 2009-12-23 09:48:36 UTC
I just separated the flt datafiles from m17n-db-datafiles to a new
package m17n-db-flt which is required by a new m17n-lib-flt library
package so f13 emacs no longer needs to require the large
m17n-db-datafiles package.


Note You need to log in before you can comment on or make changes to this bug.